import { ICustomResourcePatch } from '../patches';
import { Normalizer } from './base';
export declare class RevisionNormalizer extends Normalizer {
    applicableProviders: string[];
    __validate(_schema: any): Promise<boolean>;
    __patches(_claim: any, previousCR: any): Promise<ICustomResourcePatch[]>;
}
